> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Customer Payment Line Items

> Search for customer payment line items based on specified criteria



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/customer_payment_line_items/search
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/customer_payment_line_items/search:
    post:
      tags:
        - Customer Payment Line Items
      summary: Search Customer Payment Line Items
      description: Search for customer payment line items based on specified criteria
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                limit:
                  default: 10
                  nullable: true
                  title: Int
                  type: integer
                offset:
                  default: 0
                  nullable: true
                  title: Int
                  type: integer
                orderBy:
                  default: {}
                  items:
                    type: object
                    description: PaymentLineItemsOrderBy (simplified)
                  nullable: true
                  type: array
                where:
                  default: {}
                  description: >-
                    Boolean expression to filter rows from the table
                    "payment_line_items". All fields are combined with a logical
                    'AND'.
                  nullable: true
                  properties:
                    _and:
                      items:
                        type: object
                        description: PaymentLineItemsBoolExp (simplified)
                      nullable: true
                      type: array
                    _not:
                      type: object
                      description: PaymentLineItemsBoolExp (simplified)
                    _or:
                      items:
                        type: object
                        description: PaymentLineItemsBoolExp (simplified)
                      nullable: true
                      type: array
                    checkDate:
                      type: object
                      description: DateComparisonExp (simplified)
                    checkOrAchNumber:
                      type: object
                      description: StringComparisonExp (simplified)
                    createdAt:
                      type: object
                      description: TimestamptzComparisonExp (simplified)
                    currency:
                      type: object
                      description: CurrencyCodeEnumComparisonExp (simplified)
                    customer:
                      type: object
                      description: CustomersBoolExp (simplified)
                    customerId:
                      type: object
                      description: StringComparisonExp (simplified)
                    exchangeRate:
                      type: object
                      description: StringComparisonExp (simplified)
                    fees:
                      type: object
                      description: IntComparisonExp (simplified)
                    id:
                      type: object
                      description: StringComparisonExp (simplified)
                    invoice:
                      type: object
                      description: InvoicesBoolExp (simplified)
                    invoiceId:
                      type: object
                      description: StringComparisonExp (simplified)
                    notes:
                      type: object
                      description: StringComparisonExp (simplified)
                    payment:
                      type: object
                      description: PaymentsBoolExp (simplified)
                    paymentId:
                      type: object
                      description: StringComparisonExp (simplified)
                    paymentMethodType:
                      type: object
                      description: StringComparisonExp (simplified)
                    sourceSystem:
                      type: object
                      description: StringComparisonExp (simplified)
                    sourceSystemId:
                      type: object
                      description: StringComparisonExp (simplified)
                    sourceSystemMeta:
                      type: object
                      description: JsonbComparisonExp (simplified)
                    status:
                      type: object
                      description: StringComparisonExp (simplified)
                    totalAmount:
                      type: object
                      description: IntComparisonExp (simplified)
                    totalAmountWithFees:
                      type: object
                      description: IntComparisonExp (simplified)
                    transactionDate:
                      type: object
                      description: DateComparisonExp (simplified)
                    updatedAt:
                      type: object
                      description: TimestamptzComparisonExp (simplified)
                  title: PaymentLineItemsBoolExp
                  type: object
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  customerPaymentLineItems:
                    items:
                      description: columns and relationships of "payment_line_items"
                      nullable: false
                      properties:
                        checkDate:
                          $ref: '#/components/schemas/date'
                        checkOrAchNumber:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        currency:
                          $ref: '#/components/schemas/CurrencyCodeEnum'
                        customerId:
                          nullable: true
                          title: String
                          type: string
                        exchangeRate:
                          nullable: true
                          title: String
                          type: string
                        fees:
                          nullable: false
                          title: Int
                          type: integer
                        id:
                          nullable: false
                          title: String
                          type: string
                        invoiceId:
                          nullable: true
                          title: String
                          type: string
                        notes:
                          nullable: true
                          title: String
                          type: string
                        paymentId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemMeta:
                          $ref: '#/components/schemas/jsonb'
                        status:
                          nullable: false
                          title: String
                          type: string
                        totalAmount:
                          nullable: false
                          title: Int
                          type: integer
                        totalAmountWithFees:
                          nullable: true
                          title: Int
                          type: integer
                        transactionDate:
                          $ref: '#/components/schemas/date'
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: PaymentLineItems
                      type: object
                    nullable: false
                    type: array
          description: Responses for POST /api/rest/customer_payment_line_items/search
components:
  schemas:
    date:
      nullable: false
      title: date
      type: string
      format: date
      description: A date string, such as 2024-02-03 (YYYY-MM-DD)
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum
    jsonb:
      nullable: false
      title: jsonb

````